Loading...
Searching...
No Matches
mutex.h File Reference
`#include <BALL/COMMON/global.h>`
`#include <QtCore/QMutex>`
`#include <QtCore/QReadWriteLock>`
`#include <QtCore/QMutexLocker>`
`#include <QtCore/QReadLocker>`
`#include <QtCore/QWriteLocker>`
`#include <boost/thread/mutex.hpp>`

Go to the source code of this file.

## Classes

class | BALL::TMutex< MutexType >
class | BALL::TMutex< QMutex >
class | BALL::TMutexLocker< MutexLockerType, MutexType >
class | BALL::TReadWriteLock< ReadWriteLockType >
class | BALL::TReadWriteLock< QReadWriteLock >
class | BALL::TReadLocker< ReadLockerType, ReadWriteLockType >
class | BALL::TWriteLocker< WriteLockerType, ReadWriteLockType >
class | BALL::TMutex< boost::mutex >

## Namespaces

namespace | BALL

## Macros

#define | BALL_DEFAULT_MUTEX_TYPE QMutex
#define | BALL_DEFAULT_MUTEXLOCKER_TYPE QMutexLocker
#define | BALL_DEFAULT_READWRITELOCK_TYPE QReadWriteLock
#define | BALL_DEFAULT_READLOCKER_TYPE QReadLocker
#define | BALL_DEFAULT_WRITELOCKER_TYPE QWriteLocker

## Typedefs

typedef TMutex< BALL_DEFAULT_MUTEX_TYPE > | BALL::Mutex
typedef TReadWriteLock< BALL_DEFAULT_READWRITELOCK_TYPE > | BALL::ReadWriteLock
typedef TMutexLocker< BALL_DEFAULT_MUTEXLOCKER_TYPE, BALL_DEFAULT_MUTEX_TYPE > | BALL::MutexLocker
typedef TReadLocker< BALL_DEFAULT_READLOCKER_TYPE, BALL_DEFAULT_READWRITELOCK_TYPE > | BALL::ReadLocker
typedef TWriteLocker< BALL_DEFAULT_WRITELOCKER_TYPE, BALL_DEFAULT_READWRITELOCK_TYPE > | BALL::WriteLocker

## Macro Definition Documentation

## BALL_DEFAULT_MUTEX_TYPE

#define BALL_DEFAULT_MUTEX_TYPE QMutex

Definition at line 25 of file mutex.h.

## BALL_DEFAULT_MUTEXLOCKER_TYPE

#define BALL_DEFAULT_MUTEXLOCKER_TYPE QMutexLocker

Definition at line 26 of file mutex.h.

## BALL_DEFAULT_READLOCKER_TYPE

#define BALL_DEFAULT_READLOCKER_TYPE QReadLocker

Definition at line 28 of file mutex.h.

## BALL_DEFAULT_READWRITELOCK_TYPE

#define BALL_DEFAULT_READWRITELOCK_TYPE QReadWriteLock

Definition at line 27 of file mutex.h.

## BALL_DEFAULT_WRITELOCKER_TYPE

#define BALL_DEFAULT_WRITELOCKER_TYPE QWriteLocker

Definition at line 29 of file mutex.h.